summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2024-11-26 07:54:57 +0100
committerMichał Górny <mgorny@gentoo.org>2024-11-26 08:01:31 +0100
commit2b034b83d005d5743a8629b3f9f574be7457bc2d (patch)
tree0fc5401db67ca770e7fbc624787b4f3058c34ab2 /dev-python
parent74352967ae10d2c425e7cdd04a75e58325f0f898 (diff)
downloadgentoo-2b034b83d005d5743a8629b3f9f574be7457bc2d.tar.gz
gentoo-2b034b83d005d5743a8629b3f9f574be7457bc2d.tar.bz2
gentoo-2b034b83d005d5743a8629b3f9f574be7457bc2d.zip
dev-python/pipdeptree: Bump to 2.24.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pipdeptree/Manifest1
-rw-r--r--dev-python/pipdeptree/pipdeptree-2.24.0.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/pipdeptree/Manifest b/dev-python/pipdeptree/Manifest
index 1ab090de2b4b4..d63c360f79457 100644
--- a/dev-python/pipdeptree/Manifest
+++ b/dev-python/pipdeptree/Manifest
@@ -1,2 +1,3 @@
DIST pipdeptree-2.18.1.tar.gz 35101 BLAKE2B e0a9bf6d85d0ab91049b557cd0c8a0a58e93e2342eb0a495ba5978ca734ec329ff363499ecf3182bdab8f01f0fe23653c0b683ec7a288b88b28d2120f0ad8a36 SHA512 ef0b3abb0fa591c92d7dca90ac449651a562adc4a87614dc6a18212274d10ca21fd09fd7e8989454eef2e265d7a1d89801b4a864892359c39bd9eca40885c2d2
DIST pipdeptree-2.23.4.tar.gz 39945 BLAKE2B 6f1aaf4652b872a28712cf23fb06c26c9e36baf2c5c734b542d418d78081c19f567c730944fba33b43cf6ad612ecd54f37f625a81e88fc8bb68e3e56d76d9088 SHA512 3beeeceb11f842e5f337167b724354b43b01f972f83b0bac5168504483a079e15758206a8e141dc88e4810954630bff1b1cdec3e69aa2f981b9ec2896e40428d
+DIST pipdeptree-2.24.0.tar.gz 40363 BLAKE2B e0053b742c7e5cf88ce163b5ff504bda5c601e846f84769b742f5a06a298f041dacd223398f29608a91cdd0e91e523fa101d1781472e4327daf954af146e10ac SHA512 56c68f98ff401f4e1fbe7185a989f544c24740b4278fd3de9371019d4a85198a3cedfb2bc54d82fa958068e2133f8fbb326d280cd3e980537456da853c4777bc
diff --git a/dev-python/pipdeptree/pipdeptree-2.24.0.ebuild b/dev-python/pipdeptree/pipdeptree-2.24.0.ebuild
new file mode 100644
index 0000000000000..ec487f9cf8203
--- /dev/null
+++ b/dev-python/pipdeptree/pipdeptree-2.24.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="Utility for displaying installed packages in a dependency tree"
+HOMEPAGE="
+ https://github.com/tox-dev/pipdeptree/
+ https://pypi.org/project/pipdeptree/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/packaging-23.1[${PYTHON_USEDEP}]
+ >=dev-python/pip-23.1.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ >=dev-python/pytest-console-scripts-1.4.1[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ <dev-python/virtualenv-21[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # upstream lower bounds are meaningless
+ sed -i -e 's:>=[0-9.]*,\?::' pyproject.toml || die
+
+ find -name '*.py' -exec \
+ sed -i -e 's:pip[.]_vendor[.]::' {} + || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_mock -p console-scripts
+}
+
+pkg_postinst() {
+ optfeature \
+ "visualising the dependency graph with --graph-output" \
+ dev-python/graphviz
+}